# Methods

The final proposal for method names of the `Wrap` instance. The methods having some explanation can be clicked.

## Instance method names

| Name                                                                   | Description                                              |
| ---------------------------------------------------------------------- | -------------------------------------------------------- |
| get()                                                                  | Gets the primitive value.                                |
| getClosing()                                                           | Gets the closing chars.                                  |
| getOpening()                                                           | Gets the opening chars.                                  |
| getText()                                                              | Gets the text.                                           |
| hasClosing()                                                           | Checks whether the object has the closing.               |
| [hasOpening()](/designing/design-processes/wrap/methods/hasopening.md) | Checks whether the object has the opening.               |
| hasText()                                                              | Checks whether the object has the text.                  |
| [isWrapped()](/designing/design-processes/wrap/methods/iswrapped.md)   | Checks whether object has the opening and closing chars. |
| replaceClosing()                                                       | Returns the primitive value with replaced closing chars. |
| replaceOpening()                                                       | Returns the primitive value with replaced opening chars. |
| replaceText()                                                          | Returns the primitive value with replaced text.          |
| toString()                                                             | Returns the primitive value.                             |
| valueOf()                                                              | Returns the primitive value.                             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.angular-package.dev/designing/design-processes/wrap/methods.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
